//  "mainWindow.cpp"
//   "mainWindow"


#include "mainWindow.h"
#include "myGL.h"
#include "sazerlend.h"

mainWindow::mainWindow() : QMainWindow()
{
	initializeInterface();
	SAZ = new sazerlend();
	SAZ -> setDrawer(gl);
        gl -> setSazerlend(SAZ);
        setWindowTitle(tr("Алгоритм Сазерленда-Кохонена"));
        resize(640, 480);
}

mainWindow::~mainWindow()
{

}

void mainWindow::initializeInterface(void)
{
	widget = new QWidget();
		vbl = new QVBoxLayout();
			gl = new myGL();
		vbl -> addWidget(gl);
                        buttonAlgorythm = new QPushButton(tr("Алгоритм Сазерленда"));
                        connect(buttonAlgorythm, SIGNAL(clicked()), gl, SLOT(slot_algorythm()));
                vbl -> addWidget(buttonAlgorythm);
                        buttonClose = new QPushButton(tr("Выход"));
                        connect(buttonClose, SIGNAL(clicked()), this, SLOT(close()));
                vbl -> addWidget(buttonClose);
		vbl -> setStretchFactor(gl, 1);
	widget -> setLayout(vbl);
	setCentralWidget(widget);
}
